View Issue Details

IDProjectCategoryView StatusLast Update
0003854SymmetricDSImprovementpublic2019-02-11 16:46
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.17 
Target Version3.9.17Fixed in Version3.9.17 
Summary0003854: Initial load use estimated counts
DescriptionThe initial load generates multiple batches for a table by counting the rows and dividing by the max_batch_size of the channel. On a large database, the "select count(*) from table" can take a long time. Instead, ask the database platform to get an estimated count for the table, which is faster. Platforms with an easy implementation are Oracle, PostgreSQL, MySQL, and SQL-Server.

This was developer for 3.10 and back-ported to 3.9. Enable it with initial.load.use.estimated.counts=true.

Relationships

related to 0003817 closedelong Initial load use estimated counts 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 b917fde3

2019-01-14 13:18:20

admin

Details Diff
0003854: Initial load use estimated counts
0003854
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/IDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSql2008DatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mysql/MySqlDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/tibero/TiberoDatabasePlatform.java Diff File

SymmetricDS: 3.10 0d5bbfd7

2019-01-15 09:19:35

admin

Details Diff
0003854: Initial load use estimated counts
0003854
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File

Issue History

Date Modified Username Field Change
2019-01-14 13:17 elong New Issue
2019-01-14 13:17 elong Status new => assigned
2019-01-14 13:17 elong Assigned To => elong
2019-01-14 13:17 elong Relationship added related to 0003817
2019-01-14 13:18 elong Status assigned => resolved
2019-01-14 13:18 elong Resolution open => fixed
2019-01-14 13:18 elong Fixed in Version => 3.9.17
2019-01-14 14:00 admin Changeset attached => SymmetricDS 3.9 b917fde3
2019-01-15 10:00 admin Changeset attached => SymmetricDS 3.10 0d5bbfd7
2019-02-11 16:46 admin Status resolved => closed